SND_CTL_ADD_SLAVE_UN(9)

NAME
snd_ctl_add_slave_uncached - Add a virtual slave control

SYNOPSIS

int snd_ctl_add_slave_uncached(struct snd_kcontrol * master, struct snd_kcontrol * slave);

ARGUMENTS

master
    vmaster element

slave
    slave element to add

DESCRIPTION

Add a virtual slave control to the given master. Unlike snd_ctl_add_slave, the element added via this function is supposed to have volatile values, and get callback is called at each time quried from the master.

When the control peeks the hardware values directly and the value can be changed by other means than the put callback of the element, this function should be used to keep the value always up-to-date.

RETURN

Zero if successful or a negative error code.

COPYRIGHT